Summary: 'nn' news reader with NNTP and NOV support (for INN 2.X).
Name: nn
Version: 6.7.3
Release: 1
License: distributable
Vendor: Kim F. Storm, Peter Wemm and Michael T Pins <mtpins@icaen.uiowa.edu>
Packager: David Summers <david@summersoft.fay.ar.us>
URL: http://www.nndev.org/
Group: Applications/News
Requires: gawk, bash
Source0: ftp://ftp.nndev.org/nn/nn-6.7.3.tar.gz
BuildRoot: /var/tmp/nn
Patch0: linux.config.patch

%description
nn is a menu based (point and shoot) netnews reader with a complete
set of features to satisfy both the expert and the novice user.  Since
its first release in Denmark in 1984 (!), in Europe in 1988, and the
global release in June 1989, it has replaced rn and other well-known
news readers at many sites.

This version of nn has been patched to support RFC-1522 style headers.
This version works with INN Version 2.X.

%changelog
* Sun Jan 14 2007 David Summers <david@summersoft.fay.ar.us> 6.7.3-1
- Release 6.7.3-1
  Now builds as non-root.
  Updated for INN 2.3.5.

%prep
%setup -q -n nn-6.7.3
mv config.h-dist config.h
%patch0 -p0

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/nn
mkdir -p $RPM_BUILD_ROOT/usr/lib/nn
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
sed -e 's;=/;=/var/tmp/nn/;' < inst > inst.new; mv inst.new inst; chmod a+x inst
echo s | ./inst

(cd $RPM_BUILD_ROOT/usr/lib/nn
cp aux back_act conf nnspew upgrade_rc $RPM_BUILD_ROOT/etc/nn
ln -s ../../../etc/nn/* .
)

cp man/*.1* $RPM_BUILD_ROOT/usr/man/man1
cp man/*.8* $RPM_BUILD_ROOT/usr/man/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/nn/*
%doc ChangeLog INSTALLATION LICENSE README
/usr/bin/*
/usr/lib/nn/*
/usr/man/*/*
